# coding=utf-8
from unittest import TestCase
from mock import Mock

from earthdiagnostics.constants import Basins
from earthdiagnostics.ocean.moc import Moc


class TestMoc(TestCase):

    def setUp(self):
        self.data_manager = Mock()

        self.diags = Mock()
        self.diags.model_version = 'model_version'
        self.diags.config.experiment.get_chunk_list.return_value = (('20010101', 0, 0), ('20010101', 0, 1))

        self.mixed = Moc(self.data_manager, '20000101', 1, 1, {'global': None})

    def test_str(self):
        self.assertEqual(str(self.mixed), "MOC Startdate: 20000101 Member: 1 Chunk: 1 Basins: ['global']")
