"""Tests for VariableType class"""
# coding=utf-8
from unittest import TestCase

from earthdiagnostics.variable import VariableType


class TestVariableType(TestCase):
    """Tests for VariableType class"""

    def test_mean(self):
        """Test to_str of MEAN"""
        self.assertEqual(VariableType.to_str(VariableType.MEAN), 'mean')

    def test_statistics(self):
        """Test to_str of STATISTIC"""
        self.assertEqual(VariableType.to_str(VariableType.STATISTIC), 'statistics')

    def test_bad_one(self):
        """Test to_str raises if type not recognized"""
        with self.assertRaises(ValueError):
            VariableType.to_str('bad type')
